/*
  gammadialog.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __GAMMADIALOG_H__
#define __GAMMADIALOG_H__

#include <qvariant.h>
#include <qdialog.h>
class QHBoxLayout;
class QSlider;
class QLabel;

class GammaDialog : public QDialog
{ 
    Q_OBJECT

  public:
    GammaDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
    ~GammaDialog();

	void setDefault(double value);
	double getGamma();

  protected:
	QHBoxLayout *base_hbox;
	QSlider *slider;
	QLabel *label;

	double def_value;

	void timerEvent(QTimerEvent *e);

  public slots:
	void changeSlider(int value);
	void reject(void);
};

#endif // __GAMMADIALOG_H__
