/*
  main.cpp
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#include <stdio.h>

#ifdef QWS
#include <qpe/qpeapplication.h>
#else
#include <qapplication.h>
#endif
#include "mainwindow.h"

#include "qgconf.h"

#include "poi_db.h"
#include <qcstring.h>
#include <qfile.h>

#include <pthread.h>

pthread_mutex_t g_lock = PTHREAD_MUTEX_INITIALIZER;

QApplication *pApp;

int main(int argc, char **argv)
{
#ifdef QWS
	QPEApplication app(argc, argv);
	MainWindow *win = new MainWindow(NULL, "MainWindow");

	app.showMainWidget(win);
#else
	QApplication app(argc, argv);
	MainWindow *win = new MainWindow(NULL, "MainWindow");

	app.setMainWidget(win);
	win->show();
#endif

	pApp = &app;




#if 0
	PoiDb db(DB_POI_PATH);

//	db.importPoiCSV("/home/tomo/poi/station.csv", 1, "");

#if 0
	PoiDbItem *item = db.queryPoiMapItem(0, 0, 20, 100000);

	if(item) {
		while(item->next()){
			printf("%d %d %d %s %s\n",
				   item->getId(), item->getX(), item->getY(),
				   (const char *)item->getName().utf8(),
				   (const char *)item->getInfo().utf8());
		}
		delete item;
	}
#endif

#if 0
	PoiDbFile *file = db.queryPoiFile(0);
	if (file) {
		while(file->next()){
			printf("%d %d %d %d %s\n",
				   file->getId(), file->getGrpId(), file->getIconId(),
				   file->getEnabled(),
				   (const char *)file->getName().utf8());
		}
		delete file;
	}
#endif

#if 0
	QByteArray data;
	QFile f("/home/tomo/project/zaurus/qgmap/branches/customPOI/package/opt/QtPalmtop/share/qgmap/satellite.png");
	f.open(IO_ReadOnly);
	data.resize(f.size());
	f.readBlock(data.data(), data.size());
	f.close();
	db.addIcon(data);
#endif

	PoiDbIcon *icon = db.queryPoiIcon();
	if (icon) {
		while(icon->next()){
			QByteArray icondata = icon->getIconData();
			printf("%d %02x:%02x:%02x:%02x...\n",
				   icon->getId(),
				   icondata.at(0), icondata.at(1), icondata.at(2), icondata.at(3));
		}
		delete icon;
	}

#endif



	int ret = app.exec();

	delete win;
	return ret;
}
