/*
  poi_mod_dialog.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __POI_MOD_DIALOG_H__
#define __POI_MOD_DIALOG_H__

#include <qdialog.h>
#include <qstring.h>
#include <qarray.h>

class QPixmap;
class QLabel;
class QLineEdit;
class QComboBox;
class QSpinBox;

class PoiModDialog : public QDialog
{
	Q_OBJECT

  public:
	PoiModDialog( QWidget* parent = 0, const char* name = 0, bool modal = TRUE, WFlags fl = 0 );
	~PoiModDialog();

	void setId(int id);
	void setZoom(int zoom);
	int getIconId();
	int getZoom();
	QString getName();

  private:
	void updateIcon();

	QComboBox *icon_combo;
	QLineEdit *name_edit;
	QSpinBox *zoom_spin;

	QArray<int> icon_id_table;

  public slots:
	void press_add_button();
	void press_del_button();
};

#endif // __POI_MOD_DIALOG_H__
