/*
  qgmap.h
  Copyright (C) 2008-2009 Tomohiro Masubuchi <bucchi@e-ml.jp>

  This file is part of qgmap.

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __QGMAP_H__
#define __QGMAP_H__

#include "debug.h"

#define IMAGE_SIZE 256

#define MIN(a,b) ((a)>(b)?(b):(a))
#define MAX(a,b) ((a)>(b)?(a):(b))

#define KEY_SCROLL 10
#define SHIFT_MUL 10

#ifdef QWS
#define APP_PATH "/opt/QtPalmtop/share/qgmap/"
#define DB_POI_PATH "/home/zaurus/Settings/qgmap-poi.db"
#else
#define APP_PATH "./img/"
#define DB_POI_PATH "test.db"
#endif

#define NOIMG_FILE APP_PATH "/noimage.png"
#define LOADING_FILE APP_PATH "/loading.png"
#define MENUIMG_FILE APP_PATH "/menuicon.png"
#define SLIDERIMG_FILE APP_PATH "/slider.png"
#define NOBIMG_FILE APP_PATH "/nob.png"

/* Default Settings */

#define DEFAULT_MAP_PATH "/mnt/card/gm_lite/imgs/"
#define DEFAULT_GAMMA "1.0"

#define DEFAULT_GPS_DEVICE "/dev/rfcomm0"
#define DEFAULT_PRE_COMMAND ""
#define DEFAULT_POST_COMMAND ""
#define DEFAULT_GPS_INTERVAL 1
#define DEFAULT_GPS_DATUM WGS84
#define DEFAULT_GPS_TIMEZONE +9

#define PI 3.14159265358979
#define EARTH_RA 6378137
#define EARTH_RB 6356752

#define SCALE_MAX_SIZE 100
#define SCALE_FONT_SIZE 16

#define CENTER_MARKER_SIZE 20

#define POI_MAX 500

#ifndef QWS
#define UNUSED __attribute__ ((unused))
#else
#define UNUSED
#endif

#define STR(x) _STR(x)
#define _STR(x) #x

#define MAXGPSSETTINGS 5
#define MAXMAPPATH 8

typedef enum datum {
	Tokyo,
	WGS84,
} Datum;

#define QCOPNAME "QPE/Application/qgmap"

class QApplication;
extern QApplication *pApp;

enum {
	EV_CUSTOM_REPAINT = 346798,
};

#endif // __QGMAP_H__
